Package org.eclipse.emf.cdo.lm.assembly

# Interface AssemblyModule

All Superinterfaces:
  `CDOObject`, `CDOWithID`, `Comparable<AssemblyModule>`, `EObject`, `ModelElement`, `Notifier`

All Known Implementing Classes:
  `AssemblyModuleImpl`

public interface AssemblyModule extends ModelElement, Comparable<AssemblyModule>
A representation of the model object 'Module'.

See Also:
  - `AssemblyPackage.getAssemblyModule()`
Generated
Extends
  Comparable<AssemblyModule>
Model
No Implement
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Assembly`
  - `Name`
  - `Version`
  - `Branch Point`
  - `Root`
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Comparator<AssemblyModule>`
`COMPARATOR`

## Method Summary

Modifier and Type
Method
Description
`Assembly`
`getAssembly()`
Returns the value of the 'Assembly' container reference.
`CDOBranchPointRef`
`getBranchPoint()`
Returns the value of the 'Branch Point' attribute.
`String`
`getName()`
Returns the value of the 'Name' attribute.
`Version`
`getVersion()`
Returns the value of the 'Version' attribute.
`boolean`
`isRoot()`
Returns the value of the 'Root' attribute.
`void`
`setAssembly(Assembly value)`
Sets the value of the '`Assembly`' container reference.
`void`
`setBranchPoint(CDOBranchPointRef value)`
Sets the value of the '`Branch Point`' attribute.
`void`
`setName(String value)`
Sets the value of the '`Name`' attribute.
`void`
`setRoot(boolean value)`
Sets the value of the '`Root`' attribute.
`void`
`setVersion(Version value)`
Sets the value of the '`Version`' attribute.

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### COMPARATOR

static final Comparator<AssemblyModule> COMPARATOR

## Method Details

### getAssembly

Assembly getAssembly()
Returns the value of the 'Assembly' container reference. It is bidirectional and its opposite is '`Modules`'.

Returns:
  the value of the 'Assembly' container reference.
See Also:
  - `setAssembly(Assembly)`
  - `AssemblyPackage.getAssemblyModule_Assembly()`
  - `Assembly.getModules()`
Generated
Model
  opposite="modules" required="true" transient="false"

### setAssembly

void setAssembly(Assembly value)
Sets the value of the '`Assembly`' container reference.

Parameters:
  `value` - the new value of the 'Assembly' container reference.
See Also:
  - `getAssembly()`
Generated

### getName

String getName()
Returns the value of the 'Name' attribute.

Returns:
  the value of the 'Name' attribute.
See Also:
  - `setName(String)`
  - `AssemblyPackage.getAssemblyModule_Name()`
Generated
Model
  required="true"

### setName

void setName(String value)
Sets the value of the '`Name`' attribute.

Parameters:
  `value` - the new value of the 'Name' attribute.
See Also:
  - `getName()`
Generated

### getVersion

Version getVersion()
Returns the value of the 'Version' attribute.

Returns:
  the value of the 'Version' attribute.
See Also:
  - `setVersion(Version)`
  - `AssemblyPackage.getAssemblyModule_Version()`
Generated
Model
  dataType="org.eclipse.emf.cdo.lm.modules.Version" required="true"

### setVersion

void setVersion(Version value)
Sets the value of the '`Version`' attribute.

Parameters:
  `value` - the new value of the 'Version' attribute.
See Also:
  - `getVersion()`
Generated

### getBranchPoint

CDOBranchPointRef getBranchPoint()
Returns the value of the 'Branch Point' attribute.

Returns:
  the value of the 'Branch Point' attribute.
See Also:
  - `setBranchPoint(CDOBranchPointRef)`
  - `AssemblyPackage.getAssemblyModule_BranchPoint()`
Generated
Model
  dataType="org.eclipse.emf.cdo.etypes.BranchPointRef" required="true"

### setBranchPoint

void setBranchPoint(CDOBranchPointRef value)
Sets the value of the '`Branch Point`' attribute.

Parameters:
  `value` - the new value of the 'Branch Point' attribute.
See Also:
  - `getBranchPoint()`
Generated

### isRoot

boolean isRoot()
Returns the value of the 'Root' attribute.

Returns:
  the value of the 'Root' attribute.
See Also:
  - `setRoot(boolean)`
  - `AssemblyPackage.getAssemblyModule_Root()`
Generated
Model

### setRoot

void setRoot(boolean value)
Sets the value of the '`Root`' attribute.

Parameters:
  `value` - the new value of the 'Root' attribute.
See Also:
  - `isRoot()`
Generated